#
# spec file for package hugs98 (Version Feb2001)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf readline readline-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         hugs98
Copyright:    Artistic
Group:        Development/Languages
Provides:     haskell 
Requires:     ghc
Autoreqprov:  on
Version:      Feb2001
Release:      115
URL:          http://www.haskell.org/hugs
Source0:      hugs98-%{version}.tar.bz2
Source1:      hugs.pdf.bz2
Source2:      libs.ps.bz2
Source3:      libs.tar.bz2
Patch:        hugs98-%{version}.dif
Summary:      A Haskell interpreter
BuildRoot:    /var/tmp/%{name}-build

%description
Hugs is a Haskell interpreter and programming environment for
developing cool Haskell programs. This release is largely conformant
with Haskell 98, including monad and record syntax, newtypes,
strictness annotations, and modules.  In addition, it comes packaged
with the libraries defined in the most recent version of the Haskell
Library Report and with extension libraries which are compatible with
GHC 3.0 and later.
Hugs is best used as a Haskell program development system: it boasts
extremely fast compilation, supports incremental compilation, and has
the convenience of an interactive interpreter (within which one can
move from module to module to test different portions of a program).
However, being an interpreter, it does not nearly match the run-time
performance of, for example, GHC or HBC.

Authors:
--------
    Mark P Jones <mpj@cse.ogi.edu>
    Alastair Reid <reid@cs.utah.edu>

SuSE series: d

%prep
%setup -a 3
%patch
cp %{S:1} %{S:2} .

%build
cd src/unix
%{suse_update_config -f}
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
			--prefix=/usr \
                        --mandir=%{_mandir} \
			--with-readline \
			--with-preprocessor \
			--enable-profiling \
			--enable-stack-dumps
cd ..
make

%install
rm -rf $RPM_BUILD_ROOT
bzip2 -d *.bz2
gzip -9 libs.ps
cd src
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc License Readme docs/{server.html,winhugs-notes.txt} hugs.pdf libs*.html libs.ps.gz
%doc %{_mandir}/man1/*
/usr/bin/*
/usr/share/hugs/

%changelog -n hugs98
* Mon Jun 11 2001 - cihlar@suse.cz
- fixed to compile with new autoconf
* Tue Mar 06 2001 - cihlar@suse.cz
- update to version Feb2001
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Tue Nov 28 2000 - cihlar@suse.cz
- removed ghc from neededforbuild
* Mon Nov 13 2000 - cihlar@suse.cz
- fixed to compile
- added ghc to #neededforbuild and Requires
* Mon Nov 06 2000 - cihlar@suse.cz
- bzipped sources
- improved BuildRoot
- fixed CFLAGS
- added suse_update_config
* Thu Aug 10 2000 - cihlar@suse.cz
- update to version Feb2000 (released 13.3.2000)
- added BuildRoot
* Mon Mar 06 2000 - uli@suse.de
- moved man page to %%{_mandir}
* Fri Oct 22 1999 - kettner@suse.de
- Brand new version 991018
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Thu Jul 01 1999 - kettner@suse.de
- Created first version from source RPM of Sven Panne Sven Panne
  <Sven.Panne@informatik.uni-muenchen.de>
